Subject: Re: MAKE_MODE=UNIX? was RE: why must cygwin be first in path?
From: Earnie Boyd <[email-masked]>
To: Eric Christopher <[email-masked]>, Steven Schram <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 4 Feb 2000 11:02:26 -0800 (PST)

Eric,

You're referring to the CD version installer, correct?  The net release b20.1
installer used the cygwin.bat file to get it set.  There are a large number of
people who are using Cygwin for the GNU GCC and shell user tools only.  They
are not interested in the POSIX layer particularly.  These types should be
redirected to the Mingw set of tools.  Take a look at some of the more recent
topics at http://www.egroups.com/group/mingw32/ for details on how mingw.org is
aspiring.

Earnie.

--- Eric Christopher <[email-masked]> wrote:
> MAKE_MODE = unix is the default that is shipped with the installer.  It
> is thought that in most (all up to now that I've seen) cases people are
> using cygwin to get a unixy environment.
> 
> -eric
> 
> > 
> > It looks like Earnie gets the award for asking important but obvious
> > questions that I somehow didn't ask myself.  The magic environment variable
> > seems to be MAKE_MODE, which needs to be set to UNIX.   This seems pretty
> > obvious at first, but then I ask: Why should MAKE_MODE be UNIX when my PATH
> > is in DOS format?
> > 
> > Steve
> > 
> > -----Original Message-----
> > From: Earnie Boyd [mailto:[email-masked]]
> > Sent: Friday, February 04, 2000 10:17 AM
> > To: Steven Schram
> > Cc: [email-masked]
> > Subject: RE: why must cygwin be first in path?
> > 
> > --- Steven Schram <[email-masked]> wrote:
> > > Basically as a porting layer so I can use GNU software.  Why do you ask?
> > >
> > 
> > I was trying to determine if you were using Cygwin for it's intended
> purpose
> > (adding a POSIX layer on top of Win32) or if you were just using it for the
> > User Interface portion.  If you don't need the POSIX layer I was going to
> > suggest that you look at Mingw and the links at
> > http://www.egroups.com/group/mingw32.
> > 
> > > I tested "sh -c make -f makefile.mk" and it does the same thing as
> before.
> > > I see the same results when executing from a bash shell started from a
> cmd
> > > shell.  If I execute bash from cygnus.bat pointed to by a shortcut, I
> > don't
> > > get the delay.
> > >
> > 
> > Hmm.  Interesting.  Are the environment variables that are set by the
> > cygnus.bat file, already existing in your Win32 environment?
> > 
> > > If I really want to chase this down, it looks like I will need to dive
> > into
> > > Make with gdb.
> > >
> > 
> > Possibly, but that would lead you to debugging Cygwin as well.
> > 
> > Regards,
> > 
> > =====
> > Earnie Boyd <mailto:[email-masked]>
> > Cygwin Newbies, please visit
> > <http://www.freeyellow.com/members5/gw32/index.html>
> > __________________________________________________
> > Do You Yahoo!?
> > Talk to your friends online with Yahoo! Messenger.
> > http://im.yahoo.com
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> 
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]